Package org.kie.internal.task.api

## Interface UserInfo

- All Superinterfaces:
    `org.kie.api.task.UserInfo`

      public interface UserInfo
      extends org.kie.api.task.UserInfo

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getDisplayName​(org.kie.api.task.model.OrganizationalEntity entity)` |
    `java.lang.String` | `getEmailForEntity​(org.kie.api.task.model.OrganizationalEntity entity)` |
    `java.lang.String` | `getEntityForEmail​(java.lang.String email)` |
    `java.lang.String` | `getLanguageForEntity​(org.kie.api.task.model.OrganizationalEntity entity)` |
    `java.util.Iterator<org.kie.api.task.model.OrganizationalEntity>` | `getMembersForGroup​(org.kie.api.task.model.Group group)` |
    `boolean` | `hasEmail​(org.kie.api.task.model.Group group)` |

- - ### Method Detail

    - #### getDisplayName

          java.lang.String getDisplayName​(org.kie.api.task.model.OrganizationalEntity entity)

      Specified by:
        `getDisplayName` in interface `org.kie.api.task.UserInfo`

    - #### getMembersForGroup

          java.util.Iterator<org.kie.api.task.model.OrganizationalEntity> getMembersForGroup​(org.kie.api.task.model.Group group)

      Specified by:
        `getMembersForGroup` in interface `org.kie.api.task.UserInfo`

    - #### hasEmail

          boolean hasEmail​(org.kie.api.task.model.Group group)

      Specified by:
        `hasEmail` in interface `org.kie.api.task.UserInfo`

    - #### getEmailForEntity

          java.lang.String getEmailForEntity​(org.kie.api.task.model.OrganizationalEntity entity)

      Specified by:
        `getEmailForEntity` in interface `org.kie.api.task.UserInfo`

    - #### getLanguageForEntity

          java.lang.String getLanguageForEntity​(org.kie.api.task.model.OrganizationalEntity entity)

      Specified by:
        `getLanguageForEntity` in interface `org.kie.api.task.UserInfo`

    - #### getEntityForEmail

          java.lang.String getEntityForEmail​(java.lang.String email)